<?php

namespace Conotoxia\Pay\Model\Adminhtml\Keys;

use Magento\Framework\App\Config\Value;

/**
 * Class PublicKeyId
 * @package Conotoxia\Pay\Model\Adminhtml
 */
class PublicKeyId extends Value
{
    private static $kid;

    /**
     * Strip whitespace from public_key_id field value
     *
     * @return PublicKeyId
     */
    public function beforeSave(): PublicKeyId
    {
        $this->setValue(self::$kid);
        $this->setValue(trim($this->getValue()));

        return parent::beforeSave();
    }

    public static function setKid(?string $kid)
    {
        self::$kid = $kid;
    }
}
